<?php
	/* Fehlermeldungen */
	if ($ezstats['debug']) {
		error_reporting (E_ALL|E_STRICT); /* 0 = public mode, E_ALL = development-mode */
	} else {
		if(file_exists('install/index.php')) die("Please remove your install-folder first");
	}
	
	
	/* Klassen initialisieren (Teil 1) */
	$ezSQL = new ezSQL();
	$ezCMS = new ezCMS();
	$ezSecure = new ezSecure($ezstats['prefix']);
	
	
	/* Globale Einstellungen */
	$query = 'SELECT * FROM '.$ezstats['prefix'].'settings';
	$result = mysql_fetch_array($ezSQL->safe_query($query));
	
	$ezstats['version'] = $result['Version'];
	$ezstats['language'] = $result['Language'];
	$ezstats['path'] = $result['Path'];
	$ezstats['theme'] = $result['Theme'];
	$ezstats['clanname'] = $result['Clanname'];
	$ezstats['clanhp'] = $result['Clanpage'];
	$ezstats['clantag'] = $result['Clantag'];
	$ezstats['lastupdate'] = $result['Lastupdate'];
	$ezstats['adminlink'] = $result['Adminlink'];
	$ezstats['supportlink'] = $result['Supportlink'];
	$ezstats['showupdate'] = $result['Showupdate'];
	$ezstats['overview_average'] = $result['Overview_Average'];
	$ezstats['overview_summary'] = $result['Overview_Summary'];
	$ezstats['detaillink'] = $result['Detaillink'];
	$ezstats['guest_dummy'] = "!GUEST!"; /* Dummy-Name fr die Statsdaten fr Gste */
	
	
	/* CMS Einstellungen */
	if ($result['CMS'] == "") 
		 $ezstats['cms'] = "011_standalone"; 
	else $ezstats['cms'] = $result['CMS'];
	
	$cmsdata = $ezCMS->load_cms_data($ezstats['cms']);
	$ezstats['relpath'] = "";
	$ezstats['headline'] = "";
	$ezstats['cmsdb'] = "";
	$ezstats['curl'] = "";
	
	switch ($ezstats['cms']) {
		case "011_standalone":
			if ($cmsdata['headline'] != "") $ezstats['headline'] = "<h1>".$cmsdata['headline']."</h1>";
			break;
		case "021_forum":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/";  else $ezstats['relpath'] = $cmsdata['relpath'];
			break;
		case "022_forum_smf":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = "../".$cmsdata['relpath']."/"; else $ezstats['relpath'] = "../".$cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "031_joomla15":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			break;
		case "032_joomla15x":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			break;
		case "033_joomla16x":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			break;
		case "041_webspell40":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['cmsdb'] = $cmsdata['cmsdb'];
			break;
		case "042_webspell42":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['cmsdb'] = $cmsdata['cmsdb'];
			break;
		case "051_dzcp15x":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = "../".$cmsdata['relpath']."/"; else $ezstats['relpath'] = "../".$cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "052_dzcp153":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = "../".$cmsdata['relpath']."/"; else $ezstats['relpath'] = "../".$cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "061_phpnuke80":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "071_e107_07":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = "../../".$cmsdata['relpath']."/"; else $ezstats['relpath'] = "../../".$cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "081_ilch11":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			break;
		case "091_wordpress29":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "100_phpkit161":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "101_phpkit16":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "111_csphere2009":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "121_phpfusion7":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "131_ecp30":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['headline'] = $cmsdata['headline'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
		case "991_default_ajax":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/";  else $ezstats['relpath'] = $cmsdata['relpath'];
			break;
		case "992_default_curl":
			if ($cmsdata['relpath'] != "" AND substr($cmsdata['relpath'], -1, 1) != "/") $ezstats['relpath'] = $cmsdata['relpath']."/"; else $ezstats['relpath'] = $cmsdata['relpath'];
			$ezstats['curl'] = $cmsdata['curl'];
			break;
	}
	
	
	/* Klassen initialisieren (Teil 2) */
	$ezLoc = new ezLocalization($ezstats);
	$ezFunc = new ezFunctions();
	$ezData = new ezData();
	
	
	/* Arrays */
	$query = 'SELECT * FROM '.$ezstats['prefix'].'playernames';
	$result = $ezSQL->safe_query($query);
	while ($row = mysql_fetch_array($result)){
		$ezstats['playernames'][$row['ID']] = $row['name'];
	}
?>